<?php

namespace domain\Config\TaxRate;

use common\components\ActiveRecordCommon;

class TaxRate extends ActiveRecordCommon
{
    public static function tableName()
    {
        return 'tax_rate';
    }

    public function rules()
    {
        return [
            [['value'], 'number'],
            [['name'], 'string', 'max' => 255],
        ];
    }

    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Nom',
            'value' => 'Valeur (0.2 pour 20%)',
        ];
    }

    /* Getters / Setters */

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(?string $name): self
    {
        $this->name = $name;
        return $this;
    }

    public function getValue(): ?float
    {
        return $this->value;
    }

    public function setValue(?float $value): self
    {
        $this->value = $value;
        return $this;
    }
}
